"use strict";
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
//
// Original code forked from https://github.com/Quramy/ts-graphql-plugin
const html_template_language_service_1 = require("./html-template-language-service");
const typescript_template_language_service_decorator_1 = require("typescript-template-language-service-decorator");
const config_1 = require("./config");
const configuration_1 = require("./configuration");
class LanguageServiceLogger {
    constructor(info) {
        this.info = info;
    }
    log(msg) {
        this.info.project.projectService.logger.info(`[${config_1.pluginName}] ${msg}`);
    }
}
function create(info) {
    const logger = new LanguageServiceLogger(info);
    const config = configuration_1.loadConfiguration(info.config);
    logger.log('config: ' + JSON.stringify(config));
    return typescript_template_language_service_decorator_1.decorateWithTemplateLanguageService(info.languageService, new html_template_language_service_1.default(config, logger), {
        tags: config.tags,
        enableForStringWithSubstitutions: true,
        getSubstitution(templateString, start, end) {
            return templateString.slice(start, end);
        },
    }, { logger });
}
module.exports = (mod) => {
    return { create };
};
//# sourceMappingURL=index.js.map